
version: '3.6'

services:

  engine-fire:
    image: 313.co.kr:5550/313devgrp/java-service-tree-framework-engine-fire:24.11.38
    environment:
      SPRING_PROFILES_ACTIVE: live # 여기에 원하는 프로파일을 설정
      SLACK_TOKEN: xoxb-6506875664277-6522692878945-oPqPDaebTVqUNHQfoIokVc9y
      TZ: Asia/Seoul
    ports:
      - 33333:33333
    volumes:
      - /nfs/allinone/app/engine-fire:/mnt
    deploy:
      mode: replicated
      replicas: 1
    networks:
      - allinoneNetwork
    logging: &allinoneLogging
      driver: "json-file"
      options:
        max-file: "5"
        max-size: "100m"

networks:
  allinoneNetwork:
    driver: overlay
    attachable: true
